This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 114616 - insecure PATH variable set by login as root
insecure PATH variable set by login as root
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: util-linux (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-30 02:57 EST by Thilo Müller
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-24 10:54:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thilo Müller 2004-01-30 02:57:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4) Gecko/20030922

Description of problem:
When logging in as root the /usr/local directories are inserted in the
PATH variable before /usr/sbin /sbin /usr/bin /bin


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Login as root
2.echo $PATH


    

Actual Results: 
/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin:/root/bin


Expected Results: 
3./usr/kerberos/sbin:/usr/kerberos/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin:/root/bin:/usr/local/sbin:/usr/local/bin

The /usr/local directories should be used last in the PATH variable

Additional info:
Comment 1 Elliot Lee 2004-02-24 10:54:25 EST
Typically /usr/local/*bin are placed ahead in the path to allow local
overrides of programs that come with the OS.

Because only root can write to /usr/local/* on a default install, this
doesn't pose a security risk.

Note You need to log in before you can comment on or make changes to this bug.